snort-devel February 2014 archive
Main Archive Page > Month Archives  > snort-devel archives
snort-devel: Re: [Snort-devel] Snort 2.9.6 and DPX 1.6 test erro

Re: [Snort-devel] Snort 2.9.6 and DPX 1.6 test error: undefined libversion

From: Hai Minh Nguyen <lightsea90_at_nospam>
Date: Wed Feb 19 2014 - 02:14:11 GMT
To: "Russ Combs (rucombs)" <rucombs@cisco.com>

I'm working on Snort 2.9.6.0, the newest release, and setup.sh is fine.

I did some workaround and figure out that Snort 2.9.6.0 and DPX 1.6 did
work like miracle on CentOS 6. But my real system is Debian 7. I tested on
Debian, Ubuntu but all failed. Just have no idea why :|

On Tue, Feb 18, 2014 at 9:39 PM, Russ Combs (rucombs) <rucombs@cisco.com>wrote:

>
> ------------------------------
> *From:* Hai Minh Nguyen [lightsea90@gmail.com]
> *Sent:* Monday, February 17, 2014 9:03 PM
> *To:* Russ Combs (rucombs)
> *Cc:* snort-devel@lists.sourceforge.net
> *Subject:* Re: [Snort-devel] Snort 2.9.6 and DPX 1.6 test error:
> undefined libversion
>
> FYI, I'm sure Snort loaded the newest version.
>
>
> On Tue, Feb 18, 2014 at 8:36 AM, Hai Minh Nguyen <lightsea90@gmail.com>wrote:
>
>> My output is:
>> 00000e34 t LibVersion
>>
>> So that means LibVersion is local. Is that the problem?
>>
>> Yes, but maybe not the root cause. What version of Snort are you
>> building against? Did you double check your setup.sh?
>>
>>
>> On Tue, Feb 18, 2014 at 12:57 AM, Russ Combs (rucombs) <rucombs@cisco.com
>> > wrote:
>>
>>> Are you sure Snort isn't trying to load the old version?
>>>
>>> If you are on Linux, what does this output?
>>>
>>> nm lib/snort_dynamicpreprocessor/libdpx.so | grep LibVersion
>>>
>>> If you see something like the following, libdpx.so is not the problem:
>>>
>>> 0000000000001485 T LibVersion
>>>
>>> ------------------------------
>>> *From:* Hai Minh Nguyen [lightsea90@gmail.com]
>>> *Sent:* Monday, February 17, 2014 4:42 AM
>>> *To:* snort-devel@lists.sourceforge.net
>>> *Subject:* [Snort-devel] Snort 2.9.6 and DPX 1.6 test error: undefined
>>> libversion
>>>
>>> I'm gonna create a dynamic preprocessor for Snort 2.9.6 using DPX
>>> 1.6. I followed the README in DPX 1.6, compiled Snort and build the sample
>>> prep (dpx) without error. But when I tested this, Snort failed to load the
>>> prep. It raised this error:
>>>
>>> Loading all dynamic preprocessor libs from
>>> lib/snort_dynamicpreprocessor...
>>>
>>> Loading dynamic preprocessor library
>>> lib/snort_dynamicpreprocessor/libdpx.so... ERROR: Failed to find
>>> LibVersion() function in lib/snort_dynamicpreprocessor/libdpx.so:
>>> lib/snort_dynamicpreprocessor/libdpx.so: undefined symbol: LibVersion
>>>
>>> Fatal Error, Quitting..
>>>
>>> Is there any idea why and how to solve this?
>>>
>>> --
>>> Kiếm ma độc cô cầu bại - Ôi, một đời oanh liệt, chỉ mong được chiến bại
>>> một lần, nhưng chưa ai qua nổi quá tam chiêu!!!
>>>
>>
>>
>>
>> --
>> Kiếm ma độc cô cầu bại - Ôi, một đời oanh liệt, chỉ mong được chiến bại
>> một lần, nhưng chưa ai qua nổi quá tam chiêu!!!
>>
>
>
>
> --
> Kiếm ma độc cô cầu bại - Ôi, một đời oanh liệt, chỉ mong được chiến bại
> một lần, nhưng chưa ai qua nổi quá tam chiêu!!!
>

-- Kiếm ma độc cô cầu bại - Ôi, một đời oanh liệt, chỉ mong được chiến bại một lần, nhưng chưa ai qua nổi quá tam chiêu!!!

------------------------------------------------------------------------------
Managing the Performance of Cloud-Based Applications
Take advantage of what the Cloud has to offer - Avoid Common Pitfalls.
Read the Whitepaper.
http://pubads.g.doubleclick.net/gampad/clk?id=121054471&iu=/4140/ostg.clktrk

_______________________________________________
Snort-devel mailing list
Snort-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/snort-devel
Archive:
http://sourceforge.net/mailarchive/forum.php?forum_name=snort-devel

Please visit http://blog.snort.org for the latest news about Snort!